import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class GetActivityButton extends StatelessWidget {
  final value;
  GetActivityButton(this.value);
  @override
  Widget build(BuildContext context) {
    return Container(
      width: 120,
      padding: EdgeInsets.all(5),
      margin: EdgeInsets.all(5),
      height: 120,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(20),
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Padding(
              padding: EdgeInsets.all(10),
              child: AppText(value.value.toString(),
                  fontSize: 32, fontWeight: FontWeight.bold)),
          Expanded(
            child: AppText(
              value.kPIParameter,
              textOverflow: TextOverflow.clip,
              fontSize: 12,
              textAlign: TextAlign.center,
              fontWeight: FontWeight.w600,
            ),
          ),
        ],
      ),
    );
  }
}
